<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>hOAFI0JS</id>
      <number>xssalorderformplugin</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>1</scripttype>
      <context><![CDATA[/**
 * @author 闫宇波
 * @date 2021-07-30
 */
var plugin = new FormPlugin({
    afterCreateNewData: function(e) {
        //源单id
        var sourcebillid = this.getModel().getValue("sourcebillid");
        //源单实体
        var sourcebillentity = this.getModel().getValue("sourcebillentity");
        if (sourcebillentity != '' && sourcebillid != null) {
            //获取源单
            var srcBill = BusinessDataServiceHelper.loadSingle(sourcebillid, sourcebillentity);
            //源单单据类型
            var srcBilltype = srcBill.getDynamicObject("billtype").getPkValue();
            if ("587483350172726272".equals(srcBilltype)) { //标准销售订单
                this.getModel().setValue("billtype", 1213726796512519168); //标准销售订单变更单（新销售订单变更单）
            } else if ("939764363726684160".equals(srcBilltype)) { //服务销售订单
                this.getModel().setValue("billtype", 1213722833675379712); //服务销售订单变更单（新销售订单变更单）
            } else {
                this.getModel().setValue("billtype", 1213726796512519168); //其他情况默认为 标准销售订单变更单（新销售订单变更单）
            }
            //源单业务类型
            var srcBiztype = srcBill.getDynamicObject("biztype").getPkValue();
            this.getModel().setValue("biztype", srcBiztype);
        }
    }
});]]></context>
      <bizappid>/JJVQ13HQZAJ</bizappid>
      <bizunitid>/S38HX7EDOR+</bizunitid>
      <scriptname>新销售订单变更单脚本插件</scriptname>
      <creater_id>1158733664201231360</creater_id>
      <createdate>1627612744000</createdate>
      <modifydate>1627615543000</modifydate>
      <modifier_id>1158733664201231360</modifier_id>
      <isv>kingdee</isv>
      <classname>kingdee.scmc.sm.order.xssalorderformplugin</classname>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
