<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>yOx0N3ua</id>
      <number>salorderbillparameterplugin</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>1</scripttype>
      <context><![CDATA[require("kd.bos.form.ConfirmCallBackListener");
/**
 * @author 闫宇波
 * @date 2021-07-30
 */
var plugin = new FormPlugin({

    confirmCallBack: function(e) {
        var key = e.getCallBackId();
        var resultValue = e.getResultValue();
        if ("changeenablexssalorderbillcallback" == key) {
            var oldValue = this.getPageCache().get("oldvalue");
            if ("Yes" == resultValue) {
                var q1 = new QFilter("billstatus", "=", "C");
                var q2 = new QFilter("changestatus", "=", "B");
                var qFilters = [q1, q2];
                var exists = QueryServiceHelper.exists("sm_salorder", qFilters);
                if (exists) {
                    this.getView().showErrorNotification("存在变更中的销售订单，不允许修改“启用新销售订单变更单”参数。");
                    this.getModel().beginInit();
                    this.getModel().setValue("enablexssalorderbill", oldValue);
                    this.getModel().endInit();
                    this.getView().updateView("enablexssalorderbill");
                }
            } else if ("No" == resultValue) {
                this.getModel().beginInit();
                this.getModel().setValue("enablexssalorderbill", oldValue);
                this.getModel().endInit();
                this.getView().updateView("enablexssalorderbill");
            }
        }
    },
    propertyChanged: function(e) {
        var fieldName = e.getProperty().getName();
        var changeSet = e.getChangeSet();
        for (var i = 0; i < changeSet.length; i++) {
            var changeData = changeSet[i];
            var oldValue = changeData.getOldValue();
            if ("enablexssalorderbill" == fieldName) {
                this.getPageCache().put("oldvalue", oldValue);
                this.getView().showConfirm("是否已阅读详情并确定修改“启用新销售订单变更单”参数？",
                    "\r 1、推荐新用户系统上线时即开启此参数。\n 2、请慎重修改此参数且尽量在非业务使用时间段修改。\n 3、系统已上线用户修改此参数，将无法查看销售订单历史变更详情。\n 4、新销售订单变更单改用变更模型方式生成，支持配置变更字段。\n 5、存在变更中的销售订单时，此参数不允许修改。",
                    MessageBoxOptions.YesNo, null, new ConfirmCallBackListener("changeenablexssalorderbillcallback"));
            }
        }
    }
});
]]></context>
      <bizappid>/JJVQ13HQZAJ</bizappid>
      <bizunitid>/MN7+2NG1TU6</bizunitid>
      <scriptname>销售订单单据参数脚本插件</scriptname>
      <creater_id>1158733664201231360</creater_id>
      <createdate>1627609579000</createdate>
      <modifydate>1630029507000</modifydate>
      <modifier_id>10086</modifier_id>
      <isv>kingdee</isv>
      <classname>kingdee.scmc.sm.setup.salorderbillparameterplugin</classname>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
